<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/statistic.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">statistic.h</div></div>
</div><!--header-->
<div class="contents">
<a href="statistic_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef STATISTIC_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define STATISTIC_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include&lt;QVector&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QString&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;map&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">    8</a></span><span class="keyword">using </span><a class="code hl_typedef" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> = QString;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="foldopen" id="foldopen00010" data-start="{" data-end="};">
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="class_statistic.html">   10</a></span><span class="keyword">class </span><a class="code hl_class" href="class_statistic.html">Statistic</a></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <a class="code hl_function" href="class_statistic.html#a00637756290a7a4c8444e7076c135466">Statistic</a>();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#af3215840880bf32ac3826a26d2b281f6">null_count</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="keyword">static</span> std::map&lt;T, double&gt; <a class="code hl_function" href="class_statistic.html#ab6dc9c84427d01ce71a4e2eeb6592ffd">value_counts</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">static</span> QString <a class="code hl_function" href="class_statistic.html#aafafcb85855b4f7f0b999b26403e3366">mode</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#ae89e26ba703b55289cc2eda99d7df574">mean</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#a88a8244427b3f7411771298bc7a8f050">sum</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#a8d38e255940731deba4843653598af87">min</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#a0c1bccd2196429f5fb82a2427f3cb9c3">max</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#a54d998538ef70087eac5e11d3ea8098c">median</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#ab8b3a38fb12968f60626c5be064f7652">sd</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keyword">static</span> <span class="keywordtype">double</span> <a class="code hl_function" href="class_statistic.html#af13af1605c12176a3175027e9a6ffccd">variance</a>(<span class="keyword">const</span> QVector&lt;T&gt; &amp;data);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>};</div>
</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">#endif </span><span class="comment">// STATISTIC_H</span></div>
<div class="ttc" id="aclass_statistic_html"><div class="ttname"><a href="class_statistic.html">Statistic</a></div><div class="ttdef"><b>Definition</b> statistic.h:11</div></div>
<div class="ttc" id="aclass_statistic_html_a00637756290a7a4c8444e7076c135466"><div class="ttname"><a href="class_statistic.html#a00637756290a7a4c8444e7076c135466">Statistic::Statistic</a></div><div class="ttdeci">Statistic()</div><div class="ttdef"><b>Definition</b> statistic.cpp:7</div></div>
<div class="ttc" id="aclass_statistic_html_a0c1bccd2196429f5fb82a2427f3cb9c3"><div class="ttname"><a href="class_statistic.html#a0c1bccd2196429f5fb82a2427f3cb9c3">Statistic::max</a></div><div class="ttdeci">static double max(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:58</div></div>
<div class="ttc" id="aclass_statistic_html_a54d998538ef70087eac5e11d3ea8098c"><div class="ttname"><a href="class_statistic.html#a54d998538ef70087eac5e11d3ea8098c">Statistic::median</a></div><div class="ttdeci">static double median(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:67</div></div>
<div class="ttc" id="aclass_statistic_html_a88a8244427b3f7411771298bc7a8f050"><div class="ttname"><a href="class_statistic.html#a88a8244427b3f7411771298bc7a8f050">Statistic::sum</a></div><div class="ttdeci">static double sum(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:34</div></div>
<div class="ttc" id="aclass_statistic_html_a8d38e255940731deba4843653598af87"><div class="ttname"><a href="class_statistic.html#a8d38e255940731deba4843653598af87">Statistic::min</a></div><div class="ttdeci">static double min(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:49</div></div>
<div class="ttc" id="aclass_statistic_html_aafafcb85855b4f7f0b999b26403e3366"><div class="ttname"><a href="class_statistic.html#aafafcb85855b4f7f0b999b26403e3366">Statistic::mode</a></div><div class="ttdeci">static QString mode(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:12</div></div>
<div class="ttc" id="aclass_statistic_html_ab6dc9c84427d01ce71a4e2eeb6592ffd"><div class="ttname"><a href="class_statistic.html#ab6dc9c84427d01ce71a4e2eeb6592ffd">Statistic::value_counts</a></div><div class="ttdeci">static std::map&lt; T, double &gt; value_counts(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:94</div></div>
<div class="ttc" id="aclass_statistic_html_ab8b3a38fb12968f60626c5be064f7652"><div class="ttname"><a href="class_statistic.html#ab8b3a38fb12968f60626c5be064f7652">Statistic::sd</a></div><div class="ttdeci">static double sd(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:79</div></div>
<div class="ttc" id="aclass_statistic_html_ae89e26ba703b55289cc2eda99d7df574"><div class="ttname"><a href="class_statistic.html#ae89e26ba703b55289cc2eda99d7df574">Statistic::mean</a></div><div class="ttdeci">static double mean(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:40</div></div>
<div class="ttc" id="aclass_statistic_html_af13af1605c12176a3175027e9a6ffccd"><div class="ttname"><a href="class_statistic.html#af13af1605c12176a3175027e9a6ffccd">Statistic::variance</a></div><div class="ttdeci">static double variance(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:83</div></div>
<div class="ttc" id="aclass_statistic_html_af3215840880bf32ac3826a26d2b281f6"><div class="ttname"><a href="class_statistic.html#af3215840880bf32ac3826a26d2b281f6">Statistic::null_count</a></div><div class="ttdeci">static double null_count(const QVector&lt; T &gt; &amp;data)</div><div class="ttdef"><b>Definition</b> statistic.cpp:103</div></div>
<div class="ttc" id="astatistic_8h_html_a214fdb3139eac313ba63439e827a48be"><div class="ttname"><a href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a></div><div class="ttdeci">QString T</div><div class="ttdef"><b>Definition</b> statistic.h:8</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
